kafka-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gwen Shapira <gshap...@cloudera.com>
Subject Re: EOL JDK 1.6 for Kafka
Date Wed, 01 Jul 2015 20:00:25 GMT
Huge +1.

I don't think there is any other project that still supports 1.6.

On Wed, Jul 1, 2015 at 8:05 AM, Harsha <kafka@harsha.io> wrote:
> Hi,
>         During our SSL Patch KAFKA-1690. Some of the reviewers/users
>         asked for support this config
> https://docs.oracle.com/javase/8/docs/api/javax/net/ssl/SSLParameters.html#setEndpointIdentificationAlgorithm-java.lang.String-
> It allows clients to verify the server and prevent potential MITM. This
> api doesn't exist in Java 1.6.
> Are there any users still want 1.6 support or can we stop supporting 1.6
> from next release on wards.
>
> Thanks,
> Harsha

Mime
View raw message